List published dashboards visible to the current actor.
GET
/api/workspace/reporting/dashboards
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/reporting/dashboards"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/reporting/dashboards';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/reporting/dashboards \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Array<object>
Runtime dashboard item visible to the current actor.
object
Id
Dashboard definition id.
string
Key
Dashboard key.
string
Title
Dashboard title.
string
Description
Dashboard description.
string
Priority
Dashboard ordering priority.
integer format: int32
PublishedVersionNumber
Current published version number.
integer format: int32
Type
How a dashboard renders its runtime surface.
integer format: int32
WorkspaceUiPageKey
Workspace UI page key for page-type dashboards.
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Type": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Array<object>
Runtime dashboard item visible to the current actor.
object
Id
Dashboard definition id.
string
Key
Dashboard key.
string
Title
Dashboard title.
string
Description
Dashboard description.
string
Priority
Dashboard ordering priority.
integer format: int32
PublishedVersionNumber
Current published version number.
integer format: int32
Type
How a dashboard renders its runtime surface.
integer format: int32
WorkspaceUiPageKey
Workspace UI page key for page-type dashboards.
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Type": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}